Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453148 - Clients sometimes see old versions of NFS files
Summary: Clients sometimes see old versions of NFS files
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils
Version: 4.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: yanfu,wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 15:15 UTC by Joel Eidsath
Modified: 2011-12-08 15:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-08 15:34:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Joel Eidsath 2008-06-27 15:15:33 UTC
Description of problem:
Fedora 7 clients sometimes see old versions of NFS files served from a RHEL 4
NFSv3 server. 

Version-Release number of selected component (if applicable):
On the RHEL side we currently have kernel 2.6.9-67.0.1.ELsmp and
nfs-utils-1.0.6-84.EL4. On the Fedora 7 side, we have 2.6.23.15-80.fc7 and 
nfs-utils-1.0.12-4.fc7.

How reproducible:
Extremely rare.

Steps to Reproduce:
1. Modify file in nfs directory on one Fedora 7 client.
2. Log in to another Fedora 7 client and check file.
  
Actual results:
The old version of the file will sometimes be present on the second client.

Expected results:
The file should be at the new version.

Comment 2 Jeff Layton 2010-09-24 11:06:31 UTC
Hmm, not a lot of info here. Cache consistency is generally the purview of the client. The server just sends the info the client requests. The client decides whether and how to that info. Is this still reproducible on more modern clients?


Note You need to log in before you can comment on or make changes to this bug.